"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.create = void 0;
const logger_1 = require("../../../logger");
const create = (handler, errorMessage = "Command failed") => async (command) => {
    const { output } = (0, logger_1.get)("handler.root");
    const hdlr = await handler(command);
    return async (...args) => {
        try {
            await hdlr(...args);
        }
        catch (err) {
            output(errorMessage);
            throw err;
        }
    };
};
exports.create = create;
